package cvdatpjunit;

/**
 * This class contain various functions tested by JUnit
 * @author Florian Charlaix
 */
public class CVDATPJUnit {
    public static void main(String[] args) {

    }

    /**
     * This function swap the two last characters
     * @param in The string to swap
     * @return The swapped string
     */
    public static String swapTwoLast(String in) {
        if (in != null && in.length() > 1) {
            int length = in.length();
            in = in.substring(0, length-2) + in.charAt(length-1) + in.charAt(length-2);
        }
        return in;
    }

    /**
     * This function removes A from the input string if there is present on the two first chars
     * @param in The string to remove A
     * @return The string without A on the two first chars
     */
    public static String removeAFromTwoFirstChars(String in) {
        if (in != null) {
            if (in.length() >= 2) {
                in = in.substring(0, 2).replaceAll("A", "") + in.substring(2);
            } else {
                in = in.replaceAll("A", "");
            }
        }
        return in;
    }
}
