# TP JUnit CVDA
> Florian Charlaix - G2S2 - 11905458

Convention de nommage utiliser: [CamelCase](https://en.wikipedia.org/wiki/Camel_case)

## Exercice 1
* Création de la classe principale `CVDATPJUnit` et de sa classe de test `CVDATPJUnitTest` tous deux vides
* Prototype de la méthode `swapTwoLast`, elle est statique car elle n’as pas besoin d’attributs de la classe. Ajout des test unitaires `swapTwoLastTest` et de la documentation dans la classe principale.
* Création du corps de la méthode `swapTwoLast`, utilisation de `substring`, `charAt` et `length` pour permettre la permutation des deux dernier caractères.
* Refactoring de la méthode `swapTwoLast`, pour éviter de trop accéder a la méthode `length` la valeur est stocker dans une variable.
* Création de la Java Doc, elle est au format web (HTML CSS, JS), exportation de la JavaDoc de `CVDATPJUnit` en PDF.



## Exercice 2
* Création du prototype de la méthode `removeAFromTwoFirstChars`, elle suit les même principes de `swapTwoLast` donc elle est statique car elle n’as pas besoin d’accès a des attributs de la classe. Création de la méthode de test unitaire `removeAFromTwoFirstCharsTest` et ajout de documentation.
* Création du corps de la méthode `removeAFromTwoFirstChars`, on prend les deux premier caractère si la longueur nous le permet et l’on retire les `A` avant de recoller le reste du string. Si trop court on retire simplement les `A` sans plus d’actions.
* Génération de la JavaDoc, exportation pour `CVDATPJUnit` au format PDF remplacent l’ancienne version.
* Ajout du graphique de réseau exporter de la forge au format PDF.
